using Godot;

public partial class MainMenu : Node2D
{
  public void StartButtonPressed()
  {
    var sceneHandler = (SceneHandler)GetNode("/root/SceneHandler");
    sceneHandler.OnLoadScene("res://Scenes/Level.tscn");
    var player = ResourceLoader.Load<PackedScene>("res://Scenes/Player.tscn").Instantiate();
    GetTree().Root.AddChild(player);
  }
}
